Bug 177232 - Review Request: regionset - reads/sets the region code of DVD drives
Review Request: regionset - reads/sets the region code of DVD drives
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-07 19:13 EST by Dominik 'Rathann' Mierzejewski
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-01 14:52:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2006-01-07 19:13:27 EST
Spec Name or Url: http://rpm.greysector.net/extras/regionset.spec
SRPM Name or Url: http://rpm.greysector.net/extras/regionset-0.1-1.src.rpm
Description: 
regionset will show you the current region code of the drive, how often it
has been changed and how many changes are left. If there are any changes
left, it asks for the new region code (see table above).
Comment 1 John Mahowald 2006-01-29 00:29:30 EST
Not a review, but:

* Don't use Vendor: tag.
* Don't do the conditional %clean, just rm -rf $RPM_BUILD_ROOT. You set a sane
BuildRoot.
* "(see table above)" in %description doesn't make sense, probably from a
copy/paste.
Comment 2 Aurelien Bompard 2006-03-05 11:51:25 EST
(just assigning to John and blocking FE-REVIEW)
Comment 3 Dominik 'Rathann' Mierzejewski 2006-04-02 15:29:52 EDT
Fixed in
http://rpm.greysector.net/extras/regionset-0.1-2.src.rpm
(spec address the same as above)
Comment 4 John Mahowald 2006-04-08 12:15:07 EDT
Almost there.

Still need macros instead of /usr/sbin in %install
Comment 5 Michael Schwendt 2006-05-29 07:23:30 EDT
Dropping FE-NEEDSPONSOR. Tom Callaway offered sponsorship in bug 177235
(and bugzilla change-several-bugs-at-once feature requires me to add/edit
something).
Comment 6 Michael Schwendt 2006-05-29 07:31:04 EDT
uhm, bugzilla is broken :(
Comment 7 Dominik 'Rathann' Mierzejewski 2006-07-28 15:21:09 EDT
Fixed those macros.

http://rpm.greysector.net/extras/regionset.spec
http://rpm.greysector.net/extras/regionset-0.1-3.src.rpm
Comment 8 Dominik 'Rathann' Mierzejewski 2006-08-08 07:41:33 EDT
*ping*
Comment 9 John Mahowald 2006-08-14 01:04:02 EDT
Needs work:
- Run rm -rf $RPM_BUILD_ROOT right after %install like the templates
- Need smp flags or comments why not

Good:
+ version-release
+ file permissions good
+ file ownership good
+ license (GPL)
+ sources match
Comment 10 Dominik 'Rathann' Mierzejewski 2006-08-15 00:20:05 EDT
http://rpm.greysector.net/extras/regionset.spec
http://rpm.greysector.net/extras/regionset-0.1-4.src.rpm

Fixed, although there really is no point in using smp flags, because there's
only one gcc command ever executed. Well, it doesn't hurt, either.
Comment 11 John Mahowald 2006-08-30 12:09:52 EDT
+ Follows naming conventions
+ proper %clean section
+ proper permissions
+ macro usage

APPROVED
Comment 12 Dominik 'Rathann' Mierzejewski 2006-09-01 14:52:38 EDT
Imported and built for devel. Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.